changeset 534:c9e388620dcc

Update clean for test files, have make/test.sh print a success message, change names of temporary files to something that doesn't look like documentation.
author Rob Landley <rob@landley.net>
date Sun, 09 Dec 2007 15:37:23 -0600
parents 8a4ec3a0e206
children 8591acf8ce9f
files make/clean.sh make/test.sh
diffstat 2 files changed, 7 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/make/clean.sh	Sun Dec 09 14:57:26 2007 -0600
+++ b/make/clean.sh	Sun Dec 09 15:37:23 2007 -0600
@@ -3,6 +3,6 @@
 source configure
 
 # Need to figure out how much of this is needed...
-$DEBUG rm -f *~ *.o *.a tinycc *-tinycc *-tinycc_unstripped tinycc.1 \
-      tcctest.ref *.bin *.i ex2 core gmon.out test.out test.ref a.out \
-      *.exe *.lib libtcc_test tcctest[1234] test[1234].out tcc win32/lib/*.o
+$DEBUG rm -f *~ *.o *.a tinycc *-tinycc *-tinycc_unstripped a.out \
+      test? test?.out \
+      libtcc_test tinycc.1 *.bin *.i ex2 core gmon.out *.exe *.lib win32/lib/*.o
--- a/make/test.sh	Sun Dec 09 14:57:26 2007 -0600
+++ b/make/test.sh	Sun Dec 09 15:37:23 2007 -0600
@@ -3,8 +3,8 @@
 source ./configure
 
 $CC $CFLAGS -I. -Iinclude -o test1 tests/tcctest.c &&
-./test1 > test1.txt &&
+./test1 > test1.out &&
 ./tinycc -I. -Iinclude -o test2 tests/tcctest.c &&
-./test2 > test2.txt &&
-diff -u test1.txt test2.txt
-
+./test2 > test2.out &&
+diff -u test1.out test2.out
+[ $? -eq 0 ] && echo Test passed.